import { __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import BaseComponent from '../BaseComponent';
import { getStyles } from './Breadcrumb.styles';
import { classNamesFunction } from '@uifabric-vue/utilities';
import { Link } from '../Link';
import { Icon } from '../Icon';
var getClassNames = classNamesFunction();
var BreadcrumbBase = /** @class */ (function (_super) {
    __extends(BreadcrumbBase, _super);
    function BreadcrumbBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(BreadcrumbBase.prototype, "classNames", {
        get: function () {
            var _a = this, className = _a.className, theme = _a.theme;
            return getClassNames(getStyles, {
                theme: theme,
                className: className,
            });
        },
        enumerable: false,
        configurable: true
    });
    BreadcrumbBase.prototype.onBreadcrumbClicked = function (event, item) {
        if (item.onClick) {
            item.onClick(event, item);
        }
    };
    BreadcrumbBase.prototype.render = function (h) {
        var _this = this;
        var _a = this, classNames = _a.classNames, items = _a.items;
        return h('div', { class: classNames.root, attrs: { role: 'navigation' } }, [
            h('ol', { class: classNames.list }, items.map(function (item, index) { return h('li', {
                key: index,
                class: classNames.listItem,
            }, [
                (item.onClick || item.href)
                    ? h(Link, {
                        class: classNames.itemLink,
                        attrs: { href: item.href },
                        on: {
                            click: function (ev) { return _this.onBreadcrumbClicked(ev, item); },
                        },
                    }, item.text)
                    : h('span', {
                        class: classNames.item,
                        on: {
                            click: function (ev) { return _this.onBreadcrumbClicked(ev, item); },
                        },
                    }, item.text),
                (index !== (items.length - 1)) && h(Icon, {
                    key: "icon-" + index,
                    class: classNames.chevron,
                    attrs: {
                        iconName: 'ChevronRight',
                    },
                }),
            ]); })),
        ]);
    };
    __decorate([
        Prop({ type: Array, required: true }),
        __metadata("design:type", Array)
    ], BreadcrumbBase.prototype, "items", void 0);
    BreadcrumbBase = __decorate([
        Component
    ], BreadcrumbBase);
    return BreadcrumbBase;
}(BaseComponent));
export { BreadcrumbBase };
//# sourceMappingURL=Breadcrumb.base.js.map