import { __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import BaseComponent from '../../BaseComponent';
import { getStyles } from './CompoundButton.styles';
import { BaseButton } from '../BaseButton';
var CompoundButton = /** @class */ (function (_super) {
    __extends(CompoundButton, _super);
    function CompoundButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(CompoundButton.prototype, "internalStyles", {
        get: function () {
            var _a = this, _b = _a.primary, primary = _b === void 0 ? false : _b, theme = _a.theme;
            var styles = {};
            return getStyles(theme, styles, primary);
        },
        enumerable: false,
        configurable: true
    });
    CompoundButton.prototype.render = function (h) {
        var _a = this, primary = _a.primary, internalStyles = _a.internalStyles;
        var props = {
            variantClassName: primary ? 'ms-Button--compoundPrimary' : 'ms-Button--compound',
            styles: internalStyles,
        };
        return h(BaseButton, {
            props: props,
            attrs: this.$attrs,
            on: this.$listeners,
            scopedSlots: this.$scopedSlots,
        });
    };
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], CompoundButton.prototype, "primary", void 0);
    CompoundButton = __decorate([
        Component
    ], CompoundButton);
    return CompoundButton;
}(BaseComponent));
export { CompoundButton };
//# sourceMappingURL=CompoundButton.js.map