import { __assign, __decorate, __extends, __metadata, __rest } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { Layer } from '../Layer';
import { CalloutContent } from './CalloutContent';
import StatelessComponent from '../StatelessComponent';
import { DirectionalHint } from '../../common/DirectionalHint';
var Callout = /** @class */ (function (_super) {
    __extends(Callout, _super);
    function Callout() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Callout.prototype.render = function (h, context) {
        if (!(context.props.target instanceof Node))
            return;
        var _a = context.props, layerProps = _a.layerProps, rest = __rest(_a, ["layerProps"]);
        var content = h(CalloutContent, __assign(__assign({}, context.data), { props: __assign(__assign({}, rest), context.data.attrs) }), context.children);
        return context.props.doNotLayer ? content : h(Layer, __assign(__assign({}, context.data), { props: layerProps }), [content]);
    };
    __decorate([
        Prop({ type: HTMLElement, required: true }),
        __metadata("design:type", Object)
    ], Callout.prototype, "target", void 0);
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], Callout.prototype, "doNotLayer", void 0);
    __decorate([
        Prop({ type: Number, default: DirectionalHint.bottomAutoEdge }),
        __metadata("design:type", Boolean)
    ], Callout.prototype, "directionalHint", void 0);
    Callout = __decorate([
        Component
    ], Callout);
    return Callout;
}(StatelessComponent));
export { Callout };
//# sourceMappingURL=Callout.js.map