import { __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import StatelessComponent from '../StatelessComponent';
import { classNamesFunction } from '@uifabric-vue/utilities';
import { FontIcon, Icon } from '../Icon';
var getClassNames = classNamesFunction();
var CheckBase = /** @class */ (function (_super) {
    __extends(CheckBase, _super);
    function CheckBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CheckBase.prototype.render = function (h, ctx) {
        var _a = ctx.props, checked = _a.checked, className = _a.className, theme = _a.theme, styles = _a.styles, useFastIcons = _a.useFastIcons;
        var classNames = getClassNames(styles, { theme: theme, className: className, checked: checked });
        var IconComponent = useFastIcons ? FontIcon : Icon;
        return h('div', { class: classNames.root }, [
            h(IconComponent, { class: classNames.circle, props: { iconName: 'CircleRating' } }),
            h(IconComponent, { class: classNames.check, props: { iconName: 'StatusCircleCheckmark' } }),
        ]);
    };
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], CheckBase.prototype, "checked", void 0);
    __decorate([
        Prop({ type: Boolean, default: true }),
        __metadata("design:type", Boolean)
    ], CheckBase.prototype, "useFastIcons", void 0);
    CheckBase = __decorate([
        Component
    ], CheckBase);
    return CheckBase;
}(StatelessComponent));
export { CheckBase };
//# sourceMappingURL=Check.base.js.map