import { __assign, __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import BaseComponent from '../BaseComponent';
import { classNamesFunction } from '@uifabric-vue/utilities';
import { FacepileButton } from './FacepileButton/FacepileButton';
import { Persona, PersonaSize } from '../../Persona';
var getClassNames = classNamesFunction();
var FacepileBase = /** @class */ (function (_super) {
    __extends(FacepileBase, _super);
    function FacepileBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(FacepileBase.prototype, "singlePersona", {
        get: function () {
            return this.personas.length === 1;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FacepileBase.prototype, "classNames", {
        get: function () {
            return getClassNames(this.styles, {
                theme: this.theme,
                className: this.className,
            });
        },
        enumerable: false,
        configurable: true
    });
    FacepileBase.prototype.render = function (h) {
        var _a = this, classNames = _a.classNames, personas = _a.personas, singlePersona = _a.singlePersona, personaSize = _a.personaSize;
        var $personas = personas.map(function (persona, index) { return h('li', {
            class: classNames.member,
            key: singlePersona ? 'persona' : "personaCoin-" + index,
            attrs: { role: 'option' },
        }, [
            h('div', {
                class: classNames.itemButton,
                attrs: {
                    title: persona.personaName,
                },
            }, [
                h(Persona, {
                    props: __assign(__assign({}, persona), { text: persona.personaName, presence: 2, size: personaSize, styles: {
                            details: {
                                flex: '1 0 auto',
                            },
                        } }),
                }),
            ]),
        ]); });
        return h('div', { class: classNames.root }, [
            h('div', { class: classNames.itemContainer }, [
                h('ul', {
                    class: classNames.members,
                    attrs: {
                        role: 'listbox',
                    },
                }, $personas),
            ]),
        ]);
    };
    __decorate([
        Prop({ type: Array, default: function () { return []; } }),
        __metadata("design:type", Array)
    ], FacepileBase.prototype, "personas", void 0);
    __decorate([
        Prop({ type: Number, default: 11 }),
        __metadata("design:type", Number)
    ], FacepileBase.prototype, "personaSize", void 0);
    FacepileBase = __decorate([
        Component({
            components: { FacepileButton: FacepileButton, Persona: Persona },
        })
    ], FacepileBase);
    return FacepileBase;
}(BaseComponent));
export { FacepileBase };
//# sourceMappingURL=Facepile.base.js.map