import { __assign, __decorate, __extends, __metadata } from "tslib";
import { memoizeFunction, css } from '@uifabric-vue/utilities';
import { getIcon } from '@uifabric/styling';
import StatelessComponent from '../StatelessComponent';
import { Component, Prop } from 'vue-property-decorator';
import { MS_ICON, classNames } from './Icon.styles';
export var getIconContent = memoizeFunction(function (iconName) {
    var _a = getIcon(iconName) || {
        subset: {},
        code: undefined,
    }, code = _a.code, subset = _a.subset;
    if (!code) {
        return null;
    }
    return {
        children: code,
        iconClassName: subset.className,
        fontFamily: subset.fontFace && subset.fontFace.fontFamily,
    };
}, undefined, 
// @ts-ignore
true);
var FontIcon = /** @class */ (function (_super) {
    __extends(FontIcon, _super);
    function FontIcon() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FontIcon.prototype.render = function (h, ctx) {
        var _a = ctx.props, iconName = _a.iconName, className = _a.className, _b = _a.style, style = _b === void 0 ? {} : _b;
        var iconContent = getIconContent(iconName) || {};
        var iconClassName = iconContent.iconClassName, children = iconContent.children, fontFamily = iconContent.fontFamily;
        return h('i', {
            class: css(MS_ICON, classNames.root, iconClassName, !iconName && classNames.placeholder, className),
            style: __assign({ fontFamily: fontFamily }, style),
        }, children);
    };
    __decorate([
        Prop({ type: String, default: '' }),
        __metadata("design:type", String)
    ], FontIcon.prototype, "iconName", void 0);
    FontIcon = __decorate([
        Component
    ], FontIcon);
    return FontIcon;
}(StatelessComponent));
export { FontIcon };
//# sourceMappingURL=FontIcon.js.map