import { __assign, __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../StatelessComponent';
import { getIconContent } from './FontIcon';
var getClassNames = classNamesFunction({
    // Icon is used a lot by other components.
    // It's likely to see expected cases which pass different className to the Icon.
    // Therefore setting a larger cache size.
    cacheSize: 100,
});
var Icon = /** @class */ (function (_super) {
    __extends(Icon, _super);
    function Icon() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Icon.prototype.render = function (h, context) {
        var _a = context.props, className = _a.className, iconName = _a.iconName, theme = _a.theme, styles = _a.styles;
        var isPlaceholder = typeof iconName === 'string' && iconName.length === 0;
        var isImage = !!context.props.imageProps;
        var iconContent = getIconContent(iconName) || {};
        var children = iconContent.children;
        var iconClassName = iconContent.iconClassName;
        var classNames = getClassNames(styles, {
            theme: theme,
            className: className,
            iconClassName: iconClassName,
            isImage: isImage,
            isPlaceholder: isPlaceholder,
        });
        var RootType = isImage ? 'span' : 'i';
        return h(RootType, __assign(__assign({}, context.data), { class: classNames.root, attrs: {
                'aria-hidden': 'true',
                'data-icon-name': iconName,
            } }), typeof children === 'function' ? [children(h)] : children);
    };
    __decorate([
        Prop({ type: String, default: '' }),
        __metadata("design:type", String)
    ], Icon.prototype, "iconName", void 0);
    __decorate([
        Prop({ type: Object, default: null }),
        __metadata("design:type", Object)
    ], Icon.prototype, "imageProps", void 0);
    Icon = __decorate([
        Component
    ], Icon);
    return Icon;
}(StatelessComponent));
export default Icon;
//# sourceMappingURL=Icon.js.map