import { __assign, __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../StatelessComponent';
var getClassNames = classNamesFunction({
    // Label is used a lot by other components.
    // It's likely to see expected cases which pass different className to the Label.
    // Therefore setting a larger cache size.
    cacheSize: 100,
});
var LabelBase = /** @class */ (function (_super) {
    __extends(LabelBase, _super);
    function LabelBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LabelBase.prototype.render = function (h, context) {
        var _a = context.props, RootType = _a.as, theme = _a.theme, styles = _a.styles, className = _a.className, disabled = _a.disabled, required = _a.required;
        var classNames = getClassNames(styles, {
            className: className,
            disabled: disabled,
            required: required,
            theme: theme,
        });
        return h(RootType, __assign(__assign({}, context.data), { class: classNames.root }), context.children);
    };
    __decorate([
        Prop({ type: String, default: 'label' }),
        __metadata("design:type", String)
    ], LabelBase.prototype, "as", void 0);
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], LabelBase.prototype, "disabled", void 0);
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], LabelBase.prototype, "required", void 0);
    LabelBase = __decorate([
        Component
    ], LabelBase);
    return LabelBase;
}(StatelessComponent));
export { LabelBase };
//# sourceMappingURL=Label.base.js.map