import { __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import BaseComponent from '../BaseComponent';
import { classNamesFunction } from '@uifabric-vue/utilities';
var getClassNames = classNamesFunction();
// if the percentComplete is near 0, don't animate it.
// This prevents animations on reset to 0 scenarios
var ZERO_THRESHOLD = 0.01;
var ProgressIndicatorBase = /** @class */ (function (_super) {
    __extends(ProgressIndicatorBase, _super);
    function ProgressIndicatorBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(ProgressIndicatorBase.prototype, "internalPercentComplete", {
        get: function () {
            return typeof this.percentComplete === 'number'
                ? Math.min(100, Math.max(0, this.percentComplete * 100))
                : undefined;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ProgressIndicatorBase.prototype, "classNames", {
        get: function () {
            var _a = this, styles = _a.styles, theme = _a.theme, className = _a.className, internalPercentComplete = _a.internalPercentComplete, barHeight = _a.barHeight;
            return getClassNames(styles, {
                theme: theme,
                className: className,
                barHeight: barHeight,
                indeterminate: internalPercentComplete === undefined,
            });
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ProgressIndicatorBase.prototype, "progressBarStyles", {
        get: function () {
            var internalPercentComplete = this.internalPercentComplete;
            return {
                width: internalPercentComplete !== undefined ? internalPercentComplete + '%' : undefined,
                transition: internalPercentComplete !== undefined && internalPercentComplete < ZERO_THRESHOLD ? 'none' : undefined,
            };
        },
        enumerable: false,
        configurable: true
    });
    ProgressIndicatorBase.prototype.render = function (h) {
        var _a = this, classNames = _a.classNames, label = _a.label, progressHidden = _a.progressHidden, progressBarStyles = _a.progressBarStyles, description = _a.description;
        var $label = label && h('div', { class: classNames.itemName }, label);
        var $progress = !progressHidden &&
            h('div', { class: classNames.itemProgress }, [
                h('div', { class: classNames.progressTrack }),
                h('div', { class: classNames.progressBar, style: progressBarStyles }),
            ]);
        var $description = description && h('div', { class: classNames.itemDescription }, description);
        return h('div', { class: classNames.root }, [
            $label,
            $progress,
            $description,
        ]);
    };
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], ProgressIndicatorBase.prototype, "progressHidden", void 0);
    __decorate([
        Prop({ type: Number, default: undefined }),
        __metadata("design:type", Number)
    ], ProgressIndicatorBase.prototype, "percentComplete", void 0);
    __decorate([
        Prop({ type: String, default: null }),
        __metadata("design:type", String)
    ], ProgressIndicatorBase.prototype, "label", void 0);
    __decorate([
        Prop({ type: String, default: null }),
        __metadata("design:type", String)
    ], ProgressIndicatorBase.prototype, "description", void 0);
    __decorate([
        Prop({ type: Number, default: 2 }),
        __metadata("design:type", Number)
    ], ProgressIndicatorBase.prototype, "barHeight", void 0);
    ProgressIndicatorBase = __decorate([
        Component
    ], ProgressIndicatorBase);
    return ProgressIndicatorBase;
}(BaseComponent));
export { ProgressIndicatorBase };
//# sourceMappingURL=ProgressIndicator.base.js.map