import { __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../StatelessComponent';
var getClassNames = classNamesFunction();
var SeparatorBase = /** @class */ (function (_super) {
    __extends(SeparatorBase, _super);
    function SeparatorBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SeparatorBase.prototype.render = function (h, context) {
        var _a = context.props, styles = _a.styles, theme = _a.theme, className = _a.className, vertical = _a.vertical, alignContent = _a.alignContent;
        var classNames = getClassNames(styles, {
            theme: theme,
            className: className,
            alignContent: alignContent,
            vertical: vertical,
        });
        var $content = h('div', {
            class: classNames.content,
            attrs: {
                role: 'separator',
                'aria-orientation': vertical ? 'vertical' : 'horizontal',
            },
        }, context.children);
        return h('div', { class: classNames.root }, [$content]);
    };
    __decorate([
        Prop({ type: String, default: 'center' }),
        __metadata("design:type", String)
    ], SeparatorBase.prototype, "alignContent", void 0);
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], SeparatorBase.prototype, "vertical", void 0);
    SeparatorBase = __decorate([
        Component
    ], SeparatorBase);
    return SeparatorBase;
}(StatelessComponent));
export { SeparatorBase };
//# sourceMappingURL=Separator.base.js.map