import { __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../StatelessComponent';
var getClassNames = classNamesFunction();
var Spinner = /** @class */ (function (_super) {
    __extends(Spinner, _super);
    function Spinner() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Spinner.prototype.render = function (h, ctx) {
        var _a = ctx.props, theme = _a.theme, styles = _a.styles, className = _a.className, size = _a.size, label = _a.label, labelPosition = _a.labelPosition;
        var classNames = getClassNames(styles, {
            theme: theme,
            size: size,
            className: className,
            labelPosition: labelPosition,
        });
        var $circle = h('div', { class: classNames.circle });
        var $label = (ctx.scopedSlots.default || label) && h('div', { class: classNames.label }, ctx.scopedSlots.default ? [
            ctx.scopedSlots.default({}),
        ] : label);
        return h('div', { class: classNames.root }, [
            $circle,
            $label,
        ]);
    };
    __decorate([
        Prop({ type: String, default: null }),
        __metadata("design:type", String)
    ], Spinner.prototype, "label", void 0);
    __decorate([
        Prop({ type: String, default: 'bottom' }),
        __metadata("design:type", String)
    ], Spinner.prototype, "labelPosition", void 0);
    __decorate([
        Prop({ type: Number, default: 20 }),
        __metadata("design:type", Number)
    ], Spinner.prototype, "size", void 0);
    Spinner = __decorate([
        Component
    ], Spinner);
    return Spinner;
}(StatelessComponent));
export default Spinner;
//# sourceMappingURL=Spinner.base.js.map