import { __decorate, __extends, __metadata } from "tslib";
import { Component, Prop, Watch, Model } from 'vue-property-decorator';
import { Label } from '../Label';
import BaseComponent from '../BaseComponent';
import { classNamesFunction } from '@uifabric-vue/utilities';
var getClassNames = classNamesFunction();
// import { defineComponent, ref, reactive } from '@vue/composition-api'
// export default defineComponent({
//   model: {
//     prop: 'checked',
//     event: 'input',
//   },
//   props: {
//     disabled: { type: Boolean, default: false },
//     checked: { type: Boolean, default: false },
//     defaultChecked: { type: Boolean, default: false },
//     label: { type: String, default: '' },
//     inlineLabel: { type: Boolean, default: false },
//     onText: { type: String, default: null },
//     offText: { type: String, default: null },
//   },
//   setup (props) {
//     console.log(props)
//     return () => <div>test</div>
//   },
// })
var ToggleBase = /** @class */ (function (_super) {
    __extends(ToggleBase, _super);
    function ToggleBase() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.internalChecked = _this.defaultChecked || _this.checked;
        return _this;
    }
    ToggleBase.prototype.onCheckedChanged = function (checked) {
        this.internalChecked = checked;
    };
    Object.defineProperty(ToggleBase.prototype, "classNames", {
        get: function () {
            var _a = this, theme = _a.theme, className = _a.className, disabled = _a.disabled, internalChecked = _a.internalChecked, inlineLabel = _a.inlineLabel, onText = _a.onText, offText = _a.offText;
            return getClassNames(this.styles, {
                theme: theme,
                className: className,
                disabled: disabled,
                checked: internalChecked,
                inlineLabel: inlineLabel,
                onOffMissing: !onText && !offText,
            });
        },
        enumerable: false,
        configurable: true
    });
    ToggleBase.prototype.render = function (h) {
        var _a = this, classNames = _a.classNames, internalChecked = _a.internalChecked, disabled = _a.disabled, label = _a.label, onText = _a.onText, offText = _a.offText;
        var id = "Toggle" + this.uid;
        var $label = h(Label, {
            class: classNames.label,
            attrs: {
                for: id,
            },
        }, this.$scopedSlots.label ? [
            this.$scopedSlots.label({ checked: internalChecked, disabled: disabled, label: label }),
        ] : label);
        var $pill = h('button', {
            ref: 'toggleButton',
            class: classNames.pill,
            attrs: {
                id: id,
            },
            on: {
                click: this.onClick,
            },
        }, [
            h('div', { class: classNames.thumb }),
        ]);
        var $stateLabel = ((internalChecked && onText) || (!internalChecked && offText)) && h(Label, {
            class: classNames.text,
            attrs: {
                for: id,
            },
        }, internalChecked ? onText : offText);
        var $container = h('div', { class: classNames.container }, [
            $pill,
            $stateLabel,
        ]);
        return h('div', { class: classNames.root }, [
            $label,
            $container,
        ]);
    };
    ToggleBase.prototype.focus = function () {
        this.$refs.toggleButton.focus();
    };
    ToggleBase.prototype.onClick = function () {
        if (this.disabled)
            return;
        this.internalChecked = !this.internalChecked;
        this.$emit('input', this.internalChecked);
    };
    __decorate([
        Model('input', { type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], ToggleBase.prototype, "checked", void 0);
    __decorate([
        Prop({ type: String, default: '' }),
        __metadata("design:type", String)
    ], ToggleBase.prototype, "label", void 0);
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], ToggleBase.prototype, "defaultChecked", void 0);
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], ToggleBase.prototype, "disabled", void 0);
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], ToggleBase.prototype, "inlineLabel", void 0);
    __decorate([
        Prop({ type: String, default: null }),
        __metadata("design:type", String)
    ], ToggleBase.prototype, "onText", void 0);
    __decorate([
        Prop({ type: String, default: null }),
        __metadata("design:type", String)
    ], ToggleBase.prototype, "offText", void 0);
    __decorate([
        Watch('checked'),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [Boolean]),
        __metadata("design:returntype", void 0)
    ], ToggleBase.prototype, "onCheckedChanged", null);
    ToggleBase = __decorate([
        Component
    ], ToggleBase);
    return ToggleBase;
}(BaseComponent));
export { ToggleBase };
//# sourceMappingURL=Toggle.base.js.map