import { __assign, __rest } from "tslib";
import { concatStyleSetsWithProps } from '@uifabric/merge-styles';
import Vue from 'vue';
import { Customizations } from '@uifabric-vue/utilities';
var DefaultFields = ['theme', 'styles'];
export function styled(Component, baseStyles, getProps, customizable, pure) {
    customizable = customizable || { scope: '', fields: undefined };
    var scope = customizable.scope, _a = customizable.fields, fields = _a === void 0 ? DefaultFields : _a;
    var _styles;
    return Vue.extend({
        name: "Styled" + (Component.displayName || Component.name),
        functional: true,
        render: function (h, context) {
            var settings = Customizations.getSettings(fields, scope);
            var customizedStyles = settings.styles, dir = settings.dir, rest = __rest(settings, ["styles", "dir"]);
            var additionalProps = getProps ? getProps(this) : undefined;
            if (!_styles || customizedStyles !== _styles.__cachedInputs__[1] || !!context.props.styles) {
                _styles = function (styleProps) { return concatStyleSetsWithProps(styleProps, baseStyles, context.props.styles); };
                _styles.__cachedInputs__ = [baseStyles, context.props.styles];
            }
            return h(Component, __assign(__assign({}, context.data), { props: __assign(__assign(__assign(__assign({}, rest), additionalProps), context.props), { className: context.props.className || context.data.class, styles: _styles }) }), context.children);
        },
    });
}
//# sourceMappingURL=styled.js.map