import './version';
import Fabric from './plugin/office-fabric';
import * as Components from './components';
import Vue from 'vue';
import VueCompositionAPI from '@vue/composition-api';
import { loadTheme } from './plugin/loadTheme';
import { getTheme } from '@uifabric/styling';
// enables CSS Vars
// @ts-ignore
if (window.__themeState__ && window.__themeState__.theme) {
    // @ts-ignore
    loadTheme({ palette: window.__themeState__.theme });
}
else {
    loadTheme(getTheme());
}
Vue.use(VueCompositionAPI);
export * from './components';
export * from './components/ThemeProvider';
export * from './Styling';
export * from './Utilities';
export * from './utilities/selectableOption';
export * from './utilities/positioning';
export * from './common/DirectionalHint';
export { Fabric, Components as FabricComponents, loadTheme, };
export { initializeIcons } from '@uifabric/icons';
export { registerIcons } from './plugin/registerIcons';
export default Fabric;
//# sourceMappingURL=index.js.map