import { getDocument } from '@uifabric-vue/utilities';
var STYLE_PREFIX = '__fabric__';
export function registerCSSVars(key, obj) {
    var document = getDocument();
    if (!document)
        return obj;
    var id = "" + STYLE_PREFIX + key;
    var style = document.getElementById(id);
    if (!style) {
        style = document.createElement('style');
        style.id = "" + STYLE_PREFIX + key;
        document.head.appendChild(style);
    }
    var properties = {};
    var css = [];
    for (var key_1 in obj) {
        var value = obj[key_1];
        properties[key_1] = "var(--fabric-" + key_1 + ")";
        css.push("--fabric-" + key_1 + ": " + value + ";");
    }
    style.innerHTML = "\n  :root {\n    " + css.join('\n') + "\n  }";
    return properties;
}
//# sourceMappingURL=registerCSSVars.js.map