export var semanticColors = {
    none: {
        bodyBackground: 'var(--fabric-white)',
        bodyBackgroundHovered: 'var(--fabric-neutralLighter)',
        bodyBackgroundChecked: 'var(--fabric-neutralLight)',
        bodyStandoutBackground: 'var(--fabric-neutralLighterAlt)',
        bodyFrameBackground: 'var(--fabric-white)',
        bodyFrameDivider: 'var(--fabric-neutralLight)',
        bodyText: 'var(--fabric-neutralPrimary)',
        bodyTextChecked: 'var(--fabric-black)',
        bodySubtext: 'var(--fabric-neutralSecondary)',
        bodyDivider: 'var(--fabric-neutralLight)',
        disabledBodyText: 'var(--fabric-neutralTertiary)',
        disabledBodySubtext: 'var(--fabric-neutralTertiaryAlt)',
        disabledBorder: 'var(--fabric-neutralTertiaryAlt)',
        focusBorder: 'var(--fabric-neutralSecondary)',
        variantBorder: 'var(--fabric-neutralLight)',
        variantBorderHovered: 'var(--fabric-neutralTertiary)',
        defaultStateBackground: 'var(--fabric-neutralLighterAlt)',
        actionLink: 'var(--fabric-neutralPrimary)',
        actionLinkHovered: 'var(--fabric-neutralDark)',
        link: 'var(--fabric-themePrimary)',
        linkHovered: 'var(--fabric-themeDarker)',
        buttonBackground: 'var(--fabric-white)',
        buttonBackgroundChecked: 'var(--fabric-neutralTertiaryAlt)',
        buttonBackgroundHovered: 'var(--fabric-neutralLighter)',
        buttonBackgroundCheckedHovered: 'var(--fabric-neutralLight)',
        buttonBackgroundPressed: 'var(--fabric-neutralLight)',
        buttonBackgroundDisabled: 'var(--fabric-neutralLighter)',
        buttonBorder: 'var(--fabric-neutralSecondaryAlt)',
        buttonText: 'var(--fabric-neutralPrimary)',
        buttonTextHovered: 'var(--fabric-neutralDark)',
        buttonTextChecked: 'var(--fabric-neutralDark)',
        buttonTextCheckedHovered: 'var(--fabric-black)',
        buttonTextPressed: 'var(--fabric-neutralDark)',
        buttonTextDisabled: 'var(--fabric-neutralTertiary)',
        buttonBorderDisabled: 'var(--fabric-neutralLighter)',
        primaryButtonBackground: 'var(--fabric-themePrimary)',
        primaryButtonBackgroundHovered: 'var(--fabric-themeDarkAlt)',
        primaryButtonBackgroundPressed: 'var(--fabric-themeDark)',
        primaryButtonBackgroundDisabled: 'var(--fabric-neutralLighter)',
        primaryButtonBorder: 'var(--fabric-transparent)',
        primaryButtonText: 'var(--fabric-white)',
        primaryButtonTextHovered: 'var(--fabric-white)',
        primaryButtonTextPressed: 'var(--fabric-white)',
        primaryButtonTextDisabled: 'var(--fabric-neutralQuaternary)',
        inputBorder: 'var(--fabric-neutralSecondaryAlt)',
        inputBorderHovered: 'var(--fabric-neutralPrimary)',
        inputBackground: 'var(--fabric-white)',
        inputBackgroundChecked: 'var(--fabric-themePrimary)',
        inputBackgroundCheckedHovered: 'var(--fabric-themeDark)',
        inputPlaceholderBackgroundChecked: 'var(--fabric-themeLighter)',
        inputForegroundChecked: 'var(--fabric-white)',
        inputIcon: 'var(--fabric-themePrimary)',
        inputIconHovered: 'var(--fabric-themeDark)',
        inputIconDisabled: 'var(--fabric-neutralTertiary)',
        inputFocusBorderAlt: 'var(--fabric-themePrimary)',
        smallInputBorder: 'var(--fabric-neutralSecondary)',
        inputText: 'var(--fabric-neutralPrimary)',
        inputTextHovered: 'var(--fabric-neutralDark)',
        inputPlaceholderText: 'var(--fabric-neutralSecondary)',
        disabledBackground: 'var(--fabric-neutralLighter)',
        disabledText: 'var(--fabric-neutralTertiary)',
        disabledSubtext: 'var(--fabric-neutralQuaternary)',
        listBackground: 'var(--fabric-white)',
        listText: 'var(--fabric-neutralPrimary)',
        listItemBackgroundHovered: 'var(--fabric-neutralLighter)',
        listItemBackgroundChecked: 'var(--fabric-neutralLight)',
        listItemBackgroundCheckedHovered: 'var(--fabric-neutralQuaternaryAlt)',
        listHeaderBackgroundHovered: 'var(--fabric-neutralLighter)',
        listHeaderBackgroundPressed: 'var(--fabric-neutralLight)',
        menuBackground: 'var(--fabric-white)',
        menuDivider: 'var(--fabric-neutralTertiaryAlt)',
        menuIcon: 'var(--fabric-themePrimary)',
        menuHeader: 'var(--fabric-themePrimary)',
        menuItemBackgroundHovered: 'var(--fabric-neutralLighter)',
        menuItemBackgroundPressed: 'var(--fabric-neutralLight)',
        menuItemText: 'var(--fabric-neutralPrimary)',
        menuItemTextHovered: 'var(--fabric-neutralDark)',
    },
    neutral: {
        bodyBackground: 'var(--fabric-neutralLighter)',
        bodyBackgroundHovered: 'var(--fabric-neutralLight)',
        bodyBackgroundChecked: 'var(--fabric-neutralQuaternaryAlt)',
        bodyStandoutBackground: 'var(--fabric-neutralLight)',
        bodyFrameBackground: 'var(--fabric-neutralLight)',
        bodyFrameDivider: 'var(--fabric-neutralLight)',
        bodyText: 'var(--fabric-neutralPrimary)',
        bodyTextChecked: 'var(--fabric-black)',
        bodySubtext: 'var(--fabric-neutralSecondary)',
        bodyDivider: 'var(--fabric-neutralQuaternaryAlt)',
        disabledBodyText: 'var(--fabric-neutralTertiary)',
        disabledBodySubtext: 'var(--fabric-neutralTertiaryAlt)',
        disabledBorder: 'var(--fabric-neutralTertiaryAlt)',
        focusBorder: 'var(--fabric-neutralSecondary)',
        variantBorder: 'var(--fabric-neutralLight)',
        variantBorderHovered: 'var(--fabric-neutralTertiary)',
        defaultStateBackground: 'var(--fabric-neutralLight)',
        actionLink: 'var(--fabric-neutralPrimary)',
        actionLinkHovered: 'var(--fabric-neutralDark)',
        link: 'var(--fabric-themeDarkAlt)',
        linkHovered: 'var(--fabric-themeDarker)',
        buttonBackground: 'var(--fabric-neutralQuaternaryAlt)',
        buttonBackgroundChecked: 'var(--fabric-neutralTertiaryAlt)',
        buttonBackgroundHovered: 'var(--fabric-neutralQuaternary)',
        buttonBackgroundCheckedHovered: 'var(--fabric-neutralQuaternaryAlt)',
        buttonBackgroundPressed: 'var(--fabric-neutralTertiary)',
        buttonBackgroundDisabled: 'var(--fabric-neutralLight)',
        buttonBorder: 'var(--fabric-neutralSecondaryAlt)',
        buttonText: 'var(--fabric-neutralPrimary)',
        buttonTextHovered: 'var(--fabric-neutralDark)',
        buttonTextChecked: 'var(--fabric-neutralDark)',
        buttonTextCheckedHovered: 'var(--fabric-black)',
        buttonTextPressed: 'var(--fabric-neutralDark)',
        buttonTextDisabled: 'var(--fabric-neutralTertiary)',
        buttonBorderDisabled: 'var(--fabric-neutralLighter)',
        primaryButtonBackground: 'var(--fabric-themePrimary)',
        primaryButtonBackgroundHovered: 'var(--fabric-themeDarkAlt)',
        primaryButtonBackgroundPressed: 'var(--fabric-themeDark)',
        primaryButtonBackgroundDisabled: 'var(--fabric-neutralLight)',
        primaryButtonBorder: 'var(--fabric-transparent)',
        primaryButtonText: 'var(--fabric-white)',
        primaryButtonTextHovered: 'var(--fabric-white)',
        primaryButtonTextPressed: 'var(--fabric-white)',
        primaryButtonTextDisabled: 'var(--fabric-neutralTertiaryAlt)',
        inputBorder: 'var(--fabric-neutralTertiary)',
        inputBorderHovered: 'var(--fabric-neutralPrimary)',
        inputBackground: 'var(--fabric-white)',
        inputBackgroundChecked: 'var(--fabric-themeDarkAlt)',
        inputBackgroundCheckedHovered: 'var(--fabric-themeDarker)',
        inputPlaceholderBackgroundChecked: 'var(--fabric-themeLight)',
        inputForegroundChecked: 'var(--fabric-neutralLighter)',
        inputIcon: 'var(--fabric-themeDarkAlt)',
        inputIconHovered: 'var(--fabric-themeDarker)',
        inputIconDisabled: 'var(--fabric-neutralTertiary)',
        inputFocusBorderAlt: 'var(--fabric-themePrimary)',
        smallInputBorder: 'var(--fabric-neutralSecondary)',
        inputText: 'var(--fabric-neutralPrimary)',
        inputTextHovered: 'var(--fabric-neutralDark)',
        inputPlaceholderText: 'var(--fabric-neutralSecondary)',
        disabledBackground: 'var(--fabric-neutralLight)',
        disabledText: 'var(--fabric-neutralTertiary)',
        disabledSubtext: 'var(--fabric-neutralTertiaryAlt)',
        listBackground: 'var(--fabric-neutralLighter)',
        listText: 'var(--fabric-neutralPrimary)',
        listItemBackgroundHovered: 'var(--fabric-neutralLight)',
        listItemBackgroundChecked: 'var(--fabric-neutralQuaternaryAlt)',
        listItemBackgroundCheckedHovered: 'var(--fabric-neutralQuaternary)',
        listHeaderBackgroundHovered: 'var(--fabric-neutralLight)',
        listHeaderBackgroundPressed: 'var(--fabric-neutralQuaternaryAlt)',
        menuBackground: 'var(--fabric-white)',
        menuDivider: 'var(--fabric-neutralTertiaryAlt)',
        menuIcon: 'var(--fabric-themeDarkAlt)',
        menuHeader: 'var(--fabric-themeDarkAlt)',
        menuItemBackgroundHovered: 'var(--fabric-neutralLighter)',
        menuItemBackgroundPressed: 'var(--fabric-neutralLight)',
        menuItemText: 'var(--fabric-neutralPrimary)',
        menuItemTextHovered: 'var(--fabric-neutralDark)',
    },
    soft: {
        bodyBackground: 'var(--fabric-themeLighterAlt)',
        bodyBackgroundHovered: 'var(--fabric-themeLight)',
        bodyBackgroundChecked: 'var(--fabric-themeTertiary)',
        bodyStandoutBackground: 'var(--fabric-themeLighter)',
        bodyFrameBackground: 'var(--fabric-themeLighter)',
        bodyFrameDivider: 'var(--fabric-themeLighter)',
        bodyText: 'var(--fabric-neutralPrimary)',
        bodyTextChecked: 'var(--fabric-black)',
        bodySubtext: 'var(--fabric-neutralSecondary)',
        bodyDivider: 'var(--fabric-neutralQuaternaryAlt)',
        disabledBodyText: 'var(--fabric-neutralTertiary)',
        disabledBodySubtext: 'var(--fabric-neutralTertiaryAlt)',
        disabledBorder: 'var(--fabric-themeDarkAlt)',
        focusBorder: 'var(--fabric-neutralSecondary)',
        variantBorder: 'var(--fabric-neutralLight)',
        variantBorderHovered: 'var(--fabric-neutralTertiary)',
        defaultStateBackground: 'var(--fabric-neutralLight)',
        actionLink: 'var(--fabric-neutralPrimary)',
        actionLinkHovered: 'var(--fabric-neutralDark)',
        link: 'var(--fabric-themeDarkAlt)',
        linkHovered: 'var(--fabric-themeDarker)',
        buttonBackground: 'var(--fabric-neutralQuaternaryAlt)',
        buttonBackgroundChecked: 'var(--fabric-themeDarkAlt)',
        buttonBackgroundHovered: 'var(--fabric-neutralQuaternary)',
        buttonBackgroundCheckedHovered: 'var(--fabric-themeTertiary)',
        buttonBackgroundPressed: 'var(--fabric-neutralTertiary)',
        buttonBackgroundDisabled: 'var(--fabric-neutralLight)',
        buttonBorder: 'var(--fabric-transparent)',
        buttonText: 'var(--fabric-neutralPrimary)',
        buttonTextHovered: 'var(--fabric-neutralDark)',
        buttonTextChecked: 'var(--fabric-neutralDark)',
        buttonTextCheckedHovered: 'var(--fabric-black)',
        buttonTextPressed: 'var(--fabric-neutralDark)',
        buttonTextDisabled: 'var(--fabric-neutralTertiary)',
        buttonBorderDisabled: 'var(--fabric-transparent)',
        primaryButtonBackground: 'var(--fabric-themePrimary)',
        primaryButtonBackgroundHovered: 'var(--fabric-themeDarkAlt)',
        primaryButtonBackgroundPressed: 'var(--fabric-themeDark)',
        primaryButtonBackgroundDisabled: 'var(--fabric-themeLight)',
        primaryButtonBorder: 'var(--fabric-transparent)',
        primaryButtonText: 'var(--fabric-white)',
        primaryButtonTextHovered: 'var(--fabric-white)',
        primaryButtonTextPressed: 'var(--fabric-white)',
        primaryButtonTextDisabled: 'var(--fabric-themePrimary)',
        inputBorder: 'var(--fabric-neutralTertiary)',
        inputBorderHovered: 'var(--fabric-neutralPrimary)',
        inputBackground: 'var(--fabric-white)',
        inputBackgroundChecked: 'var(--fabric-themeDarkAlt)',
        inputBackgroundCheckedHovered: 'var(--fabric-themeDarker)',
        inputPlaceholderBackgroundChecked: 'var(--fabric-themeLight)',
        inputForegroundChecked: 'var(--fabric-themeLighter)',
        inputIcon: 'var(--fabric-themeDarkAlt)',
        inputIconHovered: 'var(--fabric-themeDarker)',
        inputIconDisabled: 'var(--fabric-neutralTertiary)',
        inputFocusBorderAlt: 'var(--fabric-themeDarkAlt)',
        smallInputBorder: 'var(--fabric-neutralSecondary)',
        inputText: 'var(--fabric-neutralPrimary)',
        inputTextHovered: 'var(--fabric-neutralDark)',
        inputPlaceholderText: 'var(--fabric-neutralSecondary)',
        disabledBackground: 'var(--fabric-neutralLight)',
        disabledText: 'var(--fabric-neutralTertiary)',
        disabledSubtext: 'var(--fabric-themePrimary)',
        listBackground: 'var(--fabric-themeLighterAlt)',
        listText: 'var(--fabric-neutralPrimary)',
        listItemBackgroundHovered: 'var(--fabric-themeLight)',
        listItemBackgroundChecked: 'var(--fabric-themeTertiary)',
        listItemBackgroundCheckedHovered: 'var(--fabric-themeSecondary)',
        listHeaderBackgroundHovered: 'var(--fabric-themeLight)',
        listHeaderBackgroundPressed: 'var(--fabric-themeTertiary)',
        menuBackground: 'var(--fabric-white)',
        menuDivider: 'var(--fabric-neutralTertiaryAlt)',
        menuIcon: 'var(--fabric-themeDarkAlt)',
        menuHeader: 'var(--fabric-themeDarkAlt)',
        menuItemBackgroundHovered: 'var(--fabric-neutralLighter)',
        menuItemBackgroundPressed: 'var(--fabric-neutralLight)',
        menuItemText: 'var(--fabric-neutralPrimary)',
        menuItemTextHovered: 'var(--fabric-neutralDark)',
    },
    strong: {
        bodyBackground: 'var(--fabric-themePrimary)',
        bodyBackgroundHovered: 'var(--fabric-themeTertiary)',
        bodyBackgroundChecked: 'var(--fabric-themeLight)',
        bodyStandoutBackground: 'var(--fabric-themeDarkAlt)',
        bodyFrameBackground: 'var(--fabric-themeDarkAlt)',
        bodyFrameDivider: 'var(--fabric-themeDarkAlt)',
        bodyText: 'var(--fabric-white)',
        bodyTextChecked: 'var(--fabric-neutralLighterAlt)',
        bodySubtext: 'var(--fabric-white)',
        bodyDivider: 'var(--fabric-themeTertiary)',
        disabledBodyText: 'var(--fabric-neutralQuaternary)',
        disabledBodySubtext: 'var(--fabric-neutralTertiaryAlt)',
        disabledBorder: 'var(--fabric-themeLighterAlt)',
        focusBorder: 'var(--fabric-white)',
        variantBorder: 'var(--fabric-themeDarkAlt)',
        variantBorderHovered: 'var(--fabric-themeDarker)',
        defaultStateBackground: 'var(--fabric-neutralLighterAlt)',
        actionLink: 'var(--fabric-white)',
        actionLinkHovered: 'var(--fabric-white)',
        link: 'var(--fabric-white)',
        linkHovered: 'var(--fabric-white)',
        buttonBackground: 'var(--fabric-themePrimary)',
        buttonBackgroundChecked: 'var(--fabric-themeLighterAlt)',
        buttonBackgroundHovered: 'var(--fabric-themeDarkAlt)',
        buttonBackgroundCheckedHovered: 'var(--fabric-themeLight)',
        buttonBackgroundPressed: 'var(--fabric-themeDark)',
        buttonBackgroundDisabled: 'var(--fabric-themeLighter)',
        buttonBorder: 'var(--fabric-white)',
        buttonText: 'var(--fabric-white)',
        buttonTextHovered: 'var(--fabric-white)',
        buttonTextChecked: 'var(--fabric-neutralLighter)',
        buttonTextCheckedHovered: 'var(--fabric-neutralLighterAlt)',
        buttonTextPressed: 'var(--fabric-white)',
        buttonTextDisabled: 'var(--fabric-themeTertiary)',
        buttonBorderDisabled: 'var(--fabric-transparent)',
        primaryButtonBackground: 'var(--fabric-white)',
        primaryButtonBackgroundHovered: 'var(--fabric-themeLighter)',
        primaryButtonBackgroundPressed: 'var(--fabric-themeLight)',
        primaryButtonBackgroundDisabled: 'var(--fabric-themeTertiary)',
        primaryButtonBorder: 'var(--fabric-transparent)',
        primaryButtonText: 'var(--fabric-themePrimary)',
        primaryButtonTextHovered: 'var(--fabric-themeDark)',
        primaryButtonTextPressed: 'var(--fabric-themeDark)',
        primaryButtonTextDisabled: 'var(--fabric-themeLighterAlt)',
        inputBorder: 'var(--fabric-themeDarkAlt)',
        inputBorderHovered: 'var(--fabric-themeDarker)',
        inputBackground: 'var(--fabric-white)',
        inputBackgroundChecked: 'var(--fabric-white)',
        inputBackgroundCheckedHovered: 'var(--fabric-themePrimary)',
        inputPlaceholderBackgroundChecked: 'var(--fabric-neutralQuaternary)',
        inputForegroundChecked: 'var(--fabric-themeDark)',
        inputIcon: 'var(--fabric-white)',
        inputIconHovered: 'var(--fabric-neutralLighterAlt)',
        inputIconDisabled: 'var(--fabric-neutralQuaternary)',
        inputFocusBorderAlt: 'var(--fabric-themeTertiary)',
        smallInputBorder: 'var(--fabric-neutralQuaternaryAlt)',
        inputText: 'var(--fabric-neutralPrimary)',
        inputTextHovered: 'var(--fabric-neutralDark)',
        inputPlaceholderText: 'var(--fabric-neutralSecondary)',
        disabledBackground: 'var(--fabric-themeDarkAlt)',
        disabledText: 'var(--fabric-themeTertiary)',
        disabledSubtext: 'var(--fabric-themeLighterAlt)',
        listBackground: 'var(--fabric-themePrimary)',
        listText: 'var(--fabric-white)',
        listItemBackgroundHovered: 'var(--fabric-themeTertiary)',
        listItemBackgroundChecked: 'var(--fabric-themeLight)',
        listItemBackgroundCheckedHovered: 'var(--fabric-themeLighter)',
        listHeaderBackgroundHovered: 'var(--fabric-themeTertiary)',
        listHeaderBackgroundPressed: 'var(--fabric-themeLight)',
        menuBackground: 'var(--fabric-white)',
        menuDivider: 'var(--fabric-neutralTertiaryAlt)',
        menuIcon: 'var(--fabric-white)',
        menuHeader: 'var(--fabric-white)',
        menuItemBackgroundHovered: 'var(--fabric-neutralLighter)',
        menuItemBackgroundPressed: 'var(--fabric-neutralLight)',
        menuItemText: 'var(--fabric-neutralPrimary)',
        menuItemTextHovered: 'var(--fabric-neutralDark)',
    },
};
//# sourceMappingURL=semanticColors.js.map