import { KeyCodes } from '@uifabric-vue/utilities';
import BaseComponent from '../BaseComponent';
import { IAutofillProps } from './Autofill.types';
import { CreateElement } from 'vue';
export declare class Autofill extends BaseComponent<IAutofillProps> {
    $refs: {
        inputElement: HTMLInputElement;
    };
    defaultVisibleValue: string;
    suggestedDisplayValue: string;
    preventValueSelection: boolean;
    enableAutofillOnKeyPress: KeyCodes[];
    onInputChange: (value: string, composing: boolean) => string;
    onInputValueChange: (newValue?: string, composing?: boolean) => void;
    private autoFillEnabled;
    private isComposing;
    private internalValue;
    private displayValue;
    get cursorLocation(): number | null;
    get value(): string;
    get isValueSelected(): boolean;
    get selectionStart(): number | null;
    get selectionEnd(): number | null;
    focus(): void;
    clear(): void;
    private onKeyDown;
    private onInputChanged;
    private getCurrentInputValue;
    /**
     * Updates the current input value as well as getting a new display value.
     * @param newValue - The new value from the input
     */
    private updateValue;
    private getDisplayValue;
    private doesTextStartWith;
    /**
     * Attempts to enable autofill. Whether or not autofill is enabled depends on the input value,
     * whether or not any text is selected, and only if the new input value is longer than the old input value.
     * Autofill should never be set to true if the value is composing. Once compositionEnd is called, then
     * it should be completed.
     * See https://developer.mozilla.org/en-US/docs/Web/API/CompositionEvent for more information on composition.
     * @param newValue - new input value
     * @param oldValue - old input value
     * @param isComposing - if true then the text is actively being composed and it has not completed.
     * @param isComposed - if the text is a composed text value.
     */
    private tryEnableAutofill;
    render(h: CreateElement): import("vue").VNode;
}
//# sourceMappingURL=Autofill.d.ts.map