import BaseComponent from '../BaseComponent';
import { IButtonClassNames } from './BaseButton.classNames';
import { ITheme } from '@uifabric/styling';
import { IButtonProps } from './Button.types';
import { CreateElement } from 'vue';
/**
 * {@docCategory Button}
 */
export interface IBaseButtonProps extends IButtonProps {
    baseClassName?: string;
    variantClassName?: string;
}
export declare class BaseButton extends BaseComponent<IBaseButtonProps> {
    href: string;
    checked: boolean;
    split: boolean;
    disabled: boolean;
    primaryDisabled: boolean;
    allowDisabledFocus: boolean;
    variantClassName: string;
    iconProps: any;
    menuIconProps: any;
    menuAs: any;
    menuProps: any;
    persistMenu: boolean;
    renderPersistedMenuHiddenOnMount: boolean;
    secondaryText: string;
    getClassNames: (theme: ITheme, className: string, variantClassName: string, iconClassName: string | undefined, menuIconClassName: string | undefined, disabled: boolean, checked: boolean, expanded: boolean, hasMenu: boolean, isSplit: boolean | undefined, allowDisabledFocus: boolean) => IButtonClassNames;
    menuHidden: boolean;
    menuOpen: boolean;
    get MenuType(): any;
    get component(): 'a' | 'button';
    get isSplitButton(): boolean;
    get shouldRenderMenu(): boolean;
    get classNames(): any;
    render(h: CreateElement): import("vue").VNode;
}
//# sourceMappingURL=BaseButton.d.ts.map