import { Vue } from 'vue-property-decorator';
import BaseComponent from '../../BaseComponent';
import { FontIcon } from '../../Icon';
import { ColumnActionsMode, IColumn } from '../DetailsList.types';
import { IDetailsColumnStyles } from './DetailsColumn.types';
export declare class DetailsColumnBase extends BaseComponent {
    $refs: {
        root: HTMLDivElement;
    };
    column: IColumn;
    columnIndex: number;
    parentId: number;
    onColumnClick: (ev: MouseEvent, column: IColumn) => void;
    onColumnContextMenu: (column: IColumn, ev: MouseEvent) => void;
    dragDropHelper: any | null;
    isDraggable: boolean;
    updateDragInfo: (props: {
        itemIndex: number;
    }, event?: MouseEvent) => void;
    isDropped: boolean;
    cellStyleProps: any;
    useFastIcons: boolean;
    private _dragDropSubscription;
    ColumnActionsMode: typeof ColumnActionsMode;
    get IconComponent(): import("vue/types/vue").ExtendedVue<Vue, {}, {}, {}, Record<never, any>> | typeof FontIcon;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IDetailsColumnStyles>;
    get columnWidth(): string;
    mounted(): void;
    beforeDestroy(): void;
    updated(): void;
    _onColumnClick(ev: MouseEvent): void;
    private _getColumnDragDropOptions;
    private _onDragStart;
    private _onDragEnd;
    private _updateHeaderDragInfo;
    private _onRootMouseDown;
    private _onColumnContextMenu;
    private _addDragDropHandling;
    render(): import("vue").VNode;
}
//# sourceMappingURL=DetailsColumn.base.d.ts.map