import { IRatingProps, IRatingStyles } from './Rating.types';
import BaseComponent from '../BaseComponent';
import { CreateElement } from 'vue';
export declare class RatingBase extends BaseComponent<IRatingProps> {
    size: number;
    min: number;
    max: number;
    rating: number;
    ariaLabelFormat?: string;
    iconName: string;
    unselectedIconName: string;
    disabled?: boolean;
    readonly?: boolean;
    internalValue: number;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IRatingStyles>;
    get ratingLevels(): number[];
    get ariaLabel(): string;
    getRatingIconName(ratingLevel: number): string;
    getRatingFillPercentage(ratingLevel: number): number;
    setRating(rating: number): void;
    private onPropValueChanged;
    private onValueChanged;
    private getStarId;
    render(h: CreateElement): import("vue").VNode;
}
//# sourceMappingURL=Rating.base.d.ts.map