import { IScrollablePaneContext } from '../ScrollablePane/ScrollablePane.types';
import { StickyPositionType } from './Sticky.types';
import BaseComponent from '../BaseComponent';
import { CreateElement } from 'vue';
export declare class Sticky extends BaseComponent<any, any> {
    $refs: {
        root: HTMLDivElement;
        stickyContentTop: HTMLDivElement;
        stickyContentBottom: HTMLDivElement;
        nonStickyContent: HTMLDivElement;
        placeHolder: HTMLDivElement;
        activeElement: HTMLElement;
    };
    context: IScrollablePaneContext;
    stickyClassName: string;
    stickyBackgroundColor: string;
    stickyPosition: StickyPositionType;
    isScrollSynced: boolean;
    hiddenContentStyle: import("@uifabric/styling").IRawStyle;
    isStickyTop: boolean;
    isStickyBottom: boolean;
    distanceFromTop: number;
    activeElement: HTMLElement | void | null;
    render(h: CreateElement): import("vue").VNode;
    root(): HTMLDivElement;
    get canStickyTop(): boolean;
    get canStickyBottom(): boolean;
    syncScroll(container: HTMLElement): void;
    mounted(): void;
    beforeDestroy(): void;
    onDistanceFromTopChanged(newVal: number, oldVal: number): void;
    onIsStickyTopChanged(newVal: boolean, oldVal: boolean): void;
    onIsStickyBottomChanged(newVal: boolean, oldVal: boolean): void;
    addSticky(stickyContent: HTMLDivElement): void;
    resetSticky(): void;
    setDistanceFromTop(container: HTMLDivElement): void;
    private getContentStyles;
    private getStickyPlaceholderHeight;
    private getNonStickyPlaceholderHeightAndWidth;
    private _onScrollEvent;
    private _getStickyDistanceFromTop;
    private _getStickyDistanceFromTopForFooter;
    private _getNonStickyDistanceFromTop;
    private _getBackground;
}
//# sourceMappingURL=Sticky.d.ts.map