import { ITextFieldProps, ITextFieldStyles } from './TextField.types';
import BaseComponent from '../BaseComponent';
import { CreateElement } from 'vue';
export declare class TextFieldBase extends BaseComponent<ITextFieldProps> {
    $refs: {
        textElement: HTMLTextAreaElement | HTMLInputElement;
    };
    multiline: boolean;
    resizable: boolean;
    autoAdjustHeight: boolean;
    borderless: boolean;
    disabled: boolean;
    underlined: boolean;
    readonly: boolean;
    required: boolean;
    label: string;
    value: string;
    errorMessage: string;
    placeholder: string;
    description: string;
    isFocused: boolean;
    internalValue: string;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<ITextFieldStyles>;
    mounted(): void;
    updated(): void;
    private onPropValueChanged;
    private onMultilineChanged;
    private adjustInputHeight;
    private onFocus;
    private onInput;
    render(h: CreateElement): import("vue").VNode;
}
//# sourceMappingURL=TextField.base.d.ts.map